Package: grails.util

## [Java] Class MockRequestDataValueProcessor

- grails.util.MockRequestDataValueProcessor

- All Implemented Interfaces and Traits:
    org.springframework.web.servlet.support.RequestDataValueProcessor

      public class MockRequestDataValueProcessor
      extends java.lang.Object

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.Map<java.lang.String, java.lang.String>` | `getExtraHiddenFields(javax.servlet.http.HttpServletRequest request)`
    `java.lang.String` | `processAction(javax.servlet.http.HttpServletRequest request, java.lang.String action, java.lang.String httpMethod)`
    `java.lang.String` | `processFormFieldValue(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.String value, java.lang.String type)`
    `java.lang.String` | `processUrl(javax.servlet.http.HttpServletRequest request, java.lang.String url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.util.Map<java.lang.String, java.lang.String> getExtraHiddenFields(javax.servlet.http.HttpServletRequest request)

    - #### public java.lang.String processAction(javax.servlet.http.HttpServletRequest request, java.lang.String action, java.lang.String httpMethod)

    - #### public java.lang.String processFormFieldValue(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.String value, java.lang.String type)

    - #### public java.lang.String processUrl(javax.servlet.http.HttpServletRequest request, java.lang.String url)